Class: Sketchup::Edge

Inherits:
Drawingelement show all
Defined in:
lib/edge.rb

Instance Method Summary collapse

Methods inherited from Drawingelement

#bounds, #casts_shadows=, #casts_shadows?, #erase!, #hidden=, #hidden?, #layer, #layer=, #material, #material=, #receives_shadows=, #receives_shadows?, #visible=, #visible?

Methods inherited from Entity

#add_observer, #attribute_dictionaries, #attribute_dictionary, #delete_attribute, #deleted?, #entityID, #get_attribute, #model, #parent, #remove_observer, #set_attribute, #to_s, #typename, #valid?

Instance Method Details

#all_connectedArray

Returns an array of the edge and its connected entities.

Examples:

model = Sketchup.active_model
edge = model.selection[0]
ents = edge.all_connected
==> [<Sketchup::Edge:0x787a440>, #<Sketchup::Edge:0x787a42c>, #<Sketchup::Face:0x787a418>, #<Sketchup::Edge:0x787a468>, #<Sketchup::Edge:0x787a404>]


15
16
# File 'lib/edge.rb', line 15

def all_connected
end

#common_face(edge) ⇒ Sketchup::Face, Nil



21
22
# File 'lib/edge.rb', line 21

def common_face(edge)
end

#curveSketchup::Curve, ...



25
26
# File 'lib/edge.rb', line 25

def curve
end

#endSketchup::Vertex



29
30
# File 'lib/edge.rb', line 29

def end
end

#explode_curveSketchup::Edge



33
34
# File 'lib/edge.rb', line 33

def explode_curve
end

#facesArray<Sketchup::Face>



37
38
# File 'lib/edge.rb', line 37

def faces
end

#find_facesInteger



41
42
# File 'lib/edge.rb', line 41

def find_faces
end

#lengthLength



45
46
# File 'lib/edge.rb', line 45

def length
end

#lineArray(Geom::Point3d, Geom::Vector3d)



49
50
# File 'lib/edge.rb', line 49

def line
end

#other_vertex(edge) ⇒ Sketchup::Vertex



55
56
# File 'lib/edge.rb', line 55

def other_vertex(edge)
end

#reversed_in?(face) ⇒ Boolean



61
62
# File 'lib/edge.rb', line 61

def reversed_in?(face)
end

#smooth=(value) ⇒ Boolean



67
68
# File 'lib/edge.rb', line 67

def smooth=(value)
end

#smooth?Boolean



71
72
# File 'lib/edge.rb', line 71

def smooth?
end

#soft=Boolean



77
78
# File 'lib/edge.rb', line 77

def soft=
end

#soft?Boolean



81
82
# File 'lib/edge.rb', line 81

def soft?
end

#splitObject



87
88
# File 'lib/edge.rb', line 87

def split
end

#startSketchup::Vertex



91
92
# File 'lib/edge.rb', line 91

def start
end

#used_by?(edge_or_vertex) ⇒ Boolean



97
98
# File 'lib/edge.rb', line 97

def used_by?(edge_or_vertex)
end

#verticesArray<Sketchup::Vertex>



101
102
# File 'lib/edge.rb', line 101

def vertices
end